Is ODP.NET going to be part of DAAB otherwise it cannot be used with Oracle in the future?

Topics: Data Access Application Block
Aug 26, 2009 at 2:21 PM

I was wondering if you know that in light of Microsoft’s decision to deprecate system.data.oraclecleint in .net4.0 will, or does the current, DAAB support ODP.Net ?

Aug 27, 2009 at 2:56 AM

DAAB in the 4.1 version doesn't support ODP.NET.  The next release is still targeted to work with .NET Framework 3.5 as the greater part of the community voted for this instead for the .NET Framework 4.0.  (Mentioned in the current product backlog - http://blogs.msdn.com/agile/archive/2009/04/16/enterprise-library-5-0-product-backlog-prioritization-results.aspx).  The last reply we got from Grigori Melnik was that there's currently no plan to for ODP.NET support (http://entlib.codeplex.com/Thread/View.aspx?ThreadId=39533).  It's also not included in the current product backlog.

 

Sarah Urmeneta
Global Technology & Solutions
Avanade, Inc.
entlib.support@avanade.com